<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Music list with InnerHTML </title>
</head>
<body>
<h1>Songs</h1>
<ul id="songs"></ul>
<script>
    var songs = [
        {"title":"Thank you for the music", "artist":"ABBA"},
        {"title":"California Girls", "artist":"Beach Boys"},
        {"title":"How Deep Is Your Love", "artist":"Bee Gees"},
        {"title":"Sweet Sixteen", "artist":"Chuck Berry"},
        {"title":"Roll Over Beethoven", "artist":"Electric Light Orchestra"},
        {"title":"Booze and Blues", "artist":"Ma Rainey"},
        {"title":"Beds Are Burning", "artist":"Diesel and Dust"}
    ];
    function createSongsHtml (songs) {

        console.log("creating html");
        var ul = document.getElementById("songs");

        var htmlString ="";
        songs.forEach(function (song) {
            // create list item
            var li = document.createElement("li");

            // create child elements
            var h3 = document.createElement("h3");
            h3.appendChild(document.createTextNode(song.title));

            var p = document.createElement("p");
            p.innerHTML = song.artist;

            li.appendChild(h3);
            li.appendChild(p);
            ul.appendChild(li);
        });
        return htmlString;
    }
    // TODO: wait for window load, then add the generated html to the ul (songs) element using the innerHTML property
    window.onload = function(){
        createSongsHtml(songs);
    }
</script>
</body>
</html>